Package ru.bitel.bgbilling.modules.drwebn.common.service

# Interface DrwebService

public interface DrwebService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accountClear(String cids, String date)`
  Очистка наработки
  `List<DrwebAgent>`
  `agentList(int contractId)`
  `List<DrwebAgentStatus>`
  `agentStatusList(int agentId)`
  `List<DrwebTariff>`
  `allTariffList()`
  `void`
  `recalculate(String cids, String mail, String date, String comment)`
  Переобсчет
  `List<DrwebAgentStatus>`
  `statusChange(DrwebAgentStatus status, boolean rewrite)`
  `void`
  `tariffDelete(int id)`
  `List<DrwebTariff>`
  `tariffListForContract(int contractId, boolean forNew)`
  `void`
  `tariffUpdate(DrwebTariff tariff)`

- ## Method Details

  - ### allTariffList

    List<DrwebTariff> allTariffList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffListForContract

    List<DrwebTariff> tariffListForContract(int contractId, boolean forNew) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffUpdate

    void tariffUpdate(DrwebTariff tariff) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffDelete

    void tariffDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentList

    List<DrwebAgent> agentList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentStatusList

    List<DrwebAgentStatus> agentStatusList(int agentId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### statusChange

    List<DrwebAgentStatus> statusChange(DrwebAgentStatus status, boolean rewrite) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recalculate

    void recalculate(String cids, String mail, String date, String comment) throws ru.bitel.bgbilling.common.BGException
    Переобсчет
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### accountClear

    void accountClear(String cids, String date) throws ru.bitel.bgbilling.common.BGException
    Очистка наработки
    Throws:
      `ru.bitel.bgbilling.common.BGException`